<html devsite><head>
    <title>音频延迟</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>音频延迟是音频信号通过系统时的时间延迟。
</p>

<h3 id="resources">资源</h3>

<table>
<tbody><tr>
  <th>主题</th>
  <th>链接</th>
</tr>
<tr>
  <td>为确保 Android 兼容性的音频延迟说明</td>
  <td><a href="/compatibility/android-cdd#5_6_audio_latency">Android 兼容性定义文档 (CDD)</a><br />
    <em>第 5.6 节：音频延迟</em></td>
</tr>
<tr>
  <td>音频延迟的常见原因</td>
  <td><a href="/devices/audio/latency/contrib.html">音频延迟的作用因素</a></td>
</tr>
<tr>
  <td>为减少 Android 的音频延迟所做的努力</td>
  <td><a href="/devices/audio/latency/design.html">减少延迟的设计</a></td>
</tr>
<tr>
  <td>衡量音频延迟的技术</td>
  <td>
    <a href="/devices/audio/latency/measure.html">衡量音频延迟</a><br />
    <a href="/devices/audio/latency/testing_circuit.html">灯光测试电路</a><br />
    <a href="/devices/audio/latency/loopback.html">音频环回软件狗</a>
  </td>
</tr>
<tr>
  <td>往返音频延迟结果</td>
  <td><a href="/devices/audio/latency/measurements.html">音频延迟衡量</a></td>
</tr>
<tr>
  <td>应用</td>
  <td><a href="/devices/audio/latency/app.html">音频延迟（适用于应用开发者）</a></td>
</tr>
<tr>
  <td>AAudio 和 MMAP</td>
  <td><a href="/devices/audio/aaudio.html">AAudio（适用于 OEM 和 SoC 供应商）</a></td>
</tr></tbody></table>

</body></html>